Update a conversation
curl --request PUT \
--url https://api.hilos.io/api/inbox/conversation/{id}/update \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"contact": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned": [
{
"id": 123
}
],
"tags": [
{
"name": "<string>"
}
],
"assigned_team": 123,
"channel": 123
}
'import requests
url = "https://api.hilos.io/api/inbox/conversation/{id}/update"
payload = {
"id": "<string>",
"contact": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned": [{ "id": 123 }],
"tags": [{ "name": "<string>" }],
"assigned_team": 123,
"channel": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
contact: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assigned: [{id: 123}],
tags: [{name: '<string>'}],
assigned_team: 123,
channel: 123
})
};
fetch('https://api.hilos.io/api/inbox/conversation/{id}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"contact": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned": [
{
"id": 123
}
],
"created_on": "2023-11-07T05:31:56Z",
"tags": [
{
"id": 123,
"name": "<string>"
}
],
"assigned_team": 123,
"channel": 123
}Conversations
Update a conversation
Update a Conversation
PUT
/
api
/
inbox
/
conversation
/
{id}
/
update
Update a conversation
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
The UUID of the Conversation.
The Users assigned to the Conversation.
Show child attributes
Show child attributes
Available options:
CREATED, FLOW, FLOW_PAUSED, NEW, IN_PROGRESS, RESOLVED, CLOSED The Tags assigned to the Conversation.
Show child attributes
Show child attributes
The ID of the Team assigned to the Conversation.
Response
200 - application/json
The UUID of the Conversation.
The Users assigned to the Conversation.
Show child attributes
Show child attributes
Available options:
INBOX, AUTO_RESPONSE, API, BROADCAST, FLOW, UNKNOWN Available options:
CREATED, FLOW, FLOW_PAUSED, NEW, IN_PROGRESS, RESOLVED, CLOSED The Tags assigned to the Conversation.
Show child attributes
Show child attributes
The ID of the Team assigned to the Conversation.
Was this page helpful?
⌘I

